Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0020360
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 03. Procurement managementmajoralways2012-04-26 12:232012-05-25 12:12
ReporterdmiguelezView Statuspublic 
Assigned Todmiguelez 
PrioritynormalResolutionfixedFixed in Version3.0MP12
StatusclosedFix in branchpiFixed in SCM revision46e90c0b12bd
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionCommunity ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionpiSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0020360: Warehouse selector inside Product selector of Goods Receipt does not work properly.

DescriptionIn the Product selector, the Warehouse selector shows only records for US Warehouses despite of the previously selected Organization.
Steps To ReproduceLogin as Openbravo/openbravo

Go to Goods Receipt.
Create a new entry for Organization: F&B España, Business Partner: Bebidas Alegres.
Move to Lines
Create a new one.
In the product selector click on the magnifying glass.
In the Warehouse selector click on the arrow and realize that only US Warehouses can be selected.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0048644)
hgbot (developer)
2012-05-15 11:46

Repository: erp/devel/pi
Changeset: 46e90c0b12bdd7b289f4a93cb46df1a219f81770
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Mon Apr 30 18:18:35 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/46e90c0b12bdd7b289f4a93cb46df1a219f81770 [^]

Fixes issue 0020360: Refreshes the cache so the selector is reloaded
and the data changes depending on the call.

---
M modules/org.openbravo.userinterface.selector/web/org.openbravo.userinterface.selector/js/ob-selector-filter-select-item.js
---
(0048668)
AugustoMauch (developer)
2012-05-16 00:40

Code reviewed and verified in pi@6c97f1746be3
(0048695)
dmiguelez (developer)
2012-05-16 13:02

Test plan:

Login as Openbravo/openbravo

Go to Goods Receipt.
Create a new entry for Organization: F&B España, Business Partner: Bebidas Alegres.
Move to Lines
Create a new one.
In the product selector click on the magnifying glass.
In the Warehouse selector click on the arrow and realize that only Spanish Warehouses can be selected.
(0048697)
dmiguelez (developer)
2012-05-16 13:06

Test plan:

Login as Openbravo/openbravo

Go to Goods Receipt.
Create a new entry for Organization: F&B España, Business Partner: Bebidas Alegres.
Move to Lines
Create a new one.
In the product selector click on the magnifying glass.
In the Warehouse selector click on the arrow and realize that only Spanish Warehouses can be selected.

Create another entry for Organization: F&B US, Business Partner: Healthy Food.
Move to Lines
Create a new one.
In the product selector click on the magnifying glass.
In the Warehouse selector click on the arrow and realize that only US Warehouses can be selected.
(0049129)
hudsonbot (developer)
2012-05-25 12:12

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/5401e185a8b0 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-04-26 12:23 dmiguelez New Issue
2012-04-26 12:23 dmiguelez Assigned To => vmromanos
2012-04-26 12:23 dmiguelez Modules => Core
2012-04-30 09:39 dmiguelez Status new => scheduled
2012-04-30 09:39 dmiguelez fix_in_branch => pi
2012-04-30 09:39 dmiguelez Assigned To vmromanos => dmiguelez
2012-05-15 11:46 hgbot Checkin
2012-05-15 11:46 hgbot Note Added: 0048644
2012-05-15 11:46 hgbot Status scheduled => resolved
2012-05-15 11:46 hgbot Resolution open => fixed
2012-05-15 11:46 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/46e90c0b12bdd7b289f4a93cb46df1a219f81770 [^]
2012-05-16 00:40 AugustoMauch Note Added: 0048668
2012-05-16 00:40 AugustoMauch Status resolved => closed
2012-05-16 00:40 AugustoMauch Fixed in Version => 3.0MP12
2012-05-16 13:02 dmiguelez Note Added: 0048695
2012-05-16 13:06 dmiguelez Note Added: 0048697
2012-05-25 12:12 hudsonbot Checkin
2012-05-25 12:12 hudsonbot Note Added: 0049129


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker